Subject: -next fails to boot as of today on S3C6410

From: [email-masked] (Mark Brown)
Date: Thu, 24 Nov 2011 18:02:28 +0000

On Thu, Nov 24, 2011 at 12:59:38PM -0500, Nicolas Pitre wrote:

> No.  The s3c64xx code is wrong.  It relies on a freshly installed 
> mapping that has not been flushed to RAM yet.  So when it works for you, 
> That's due to pure luck, most probably because the page table is not 
> cached when the mapping is created and the cache is not allocated on 
> write.

Ah, right - I was assuming that the existing code was OK (given that
it's been in use for years).  What should it be doing to trigger the
flush?